Retrieves a single category by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/categories/{categoryId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/categories/{categoryId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"descriptions": [
{
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"description": "<string>",
"metaDescription": "<string>",
"metaKeywords": "<string>",
"titleTag": "<string>",
"urlPath": "<string>"
}
]
}wawi
Retrieves a single category by its ID.
GET
/
v2
/
categories
/
{categoryId}
Retrieves a single category by its ID.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
The ID of the category.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Success.
A category's details.
The ID of the category.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the parent category.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The sort number of the category.
The descriptions of the category.
Show child attributes
Show child attributes
Was this page helpful?
⌘I